body {
    font-family: "Montserrat", sans-serif;
    font-weight: 100;
    font-style: normal;
    display: flex;
    justify-content: center;
    box-sizing: border-box;
}

.gama_content {
    display: flex;  
    width: 60%;
    margin-left: auto;
    margin-right: auto;
    gap: 15px;
}
.title_h3{    
    color: #1B49A3;
    font-weight: 800;
    font-style: bold;
    font-size: 24px;
    margin: 0px;
    margin-bottom: 10px;
}
/* ----------Estilos de los filtros----------------*/
.products_filter {
    width: 25%;
    padding: 10px;
    box-shadow: 0px 0px 3px 1px rgba(189, 189, 189, 0.336);
    border-radius: 2px;
    align-self: flex-start;
}
.category_filter{
    width: 100%;
    border: none;
    border-bottom: solid 1px #7474747c;
    background-color: transparent;
    font-weight: 500;
    font-family: "Montserrat", sans-serif;
    font-size: 15px;
    padding-bottom: 5px;
    color: #494949;
}
.input_text{
    width: 100%;
    border: none;
    border-bottom: solid 1px #7474747c;
    font-size: 15px;
    font-weight: 500;
    margin-bottom: 10px;
}


/* Estilos de la lista de productos */
.products_list_content {
    width: 75%;
    display: flex;
    flex-direction: column;
    align-items: auto;    
}
.products_list {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    align-items: auto;    
}


.product_card {
    box-shadow: 0px 0px 3px 1px rgba(189, 189, 189, 0.336);
    border-radius: 2px;
    text-align: center;
    padding: 10px;
    text-decoration: none;
    transition: transform 0.3s ease;
}

.product_card:hover {
    transform: translateY(-5px);
}

.product_card:active {
    transform: translateY(-5px);
}

.product_card h3 {
    margin-top: 10px;
    margin-bottom: 10px;
    color: #2b2b2b;
}

.product_img {
    width: 75%;
}

.product_title {
    text-transform: capitalize;

}

.no_products{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    padding: 10px;
    border: none;
    color: #4687ff;
    background-color: #b2dcff;
    font-weight: 500;
    border-radius: 5px;
}

.d-none{
    display: none;
}

/* Estilos del pop up */

.popup {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(37, 37, 37, 0.452);
    z-index: 9999;
    width: 100vw;
    height: 100vh;
}

.popup-content {
    position: absolute;
    transform: translate(-50%, -50%) scale(0.1);
    top: 50%;
    left: 50%;
    width: 80%;
    height: 80vh;
    border-radius: 5px;
    background-color: #F5F5F5;
    padding: 10px;
    overflow: hidden;
    text-align: center;
    transition: transform 0.3s ease, opacity 0.3s ease;
}

.top-row {
    text-align: right;
    margin-bottom: 10px;
    width: 100%;
}

.popup-content .top-row button {
    padding: 2px;
    cursor: pointer;
    color: white;
    font-size: medium;
    background-color: rgb(252, 53, 53);
    border: none;
    width: 30px;
    height: 30px;
    border-radius: 50%;
}

/* Contenido del Pop Up */

.popup-principal-content {
    display: flex;
    flex-wrap: wrap;
    height: 95%;    
    overflow-y: auto;
}

.up-content {
    display: flex;
    width: 100%;
}

/*---------------Seccion de las mimagenes--------------------*/
.popup-img-content {
    width: 40%;
    display: flex;
    flex-wrap: wrap;
    padding-top: 10px;
}

.primary-img {
    width: 100%;
    margin-left: 30px;
    overflow: hidden;
    box-shadow: 0px 0px 3px 1px rgba(189, 189, 189, 0.336);
    border-radius: 5px;
    background-color: white;
}

.popup_product_img {
    width: 100%;
    object-fit: contain;
}

.alternative-img {
    width: 100%;
    height: 100px;
}

/*-----------------Información Principal---------------------*/
.primary-information {
    width: 60%;
    margin-left: 20px;
    margin-right: 20px;
}

.popup_product_title {
    text-align: left;
    color: #333;
    margin-top: 0px;
    margin-bottom: 10px;
}

.popup_product_description {
    text-align: left;
    font-weight: 400;
    color: #474747;
    margin-top: 0px;
    margin-bottom: 10px;
}

.popup_product_price {
    text-align: left;
    font-size: 30px;
    color: #333;
    margin-top: 0px;
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid #7575758c;
}

.popup_content_colors {
    display: flex;
    gap: 10px;
    width: 100%;
    padding-bottom: 20px;
    margin-bottom: 10px;
    border-bottom: 1px solid #7575758c;
}

.popup_product_colors {
    width: 25px;
    height: 25px;
    border-radius: 5px;
    box-shadow: 1px 1px 4px 0px rgba(102, 102, 102, 0.69);
}

.popup_product_colors {
    cursor: pointer;
    width: 25px;
    height: 25px;
    border-radius: 5px;
    box-shadow: 1px 1px 4px 0px rgba(102, 102, 102, 0.69);
    transition: transform 0.3s ease;
}

.popup_product_colors:hover {
    transform: scale(1.2);
}

/*-----------------Información Secundaria---------------------*/
.secondary-information {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin-bottom: 10px;
    margin-right: 20px;
    margin-left: 20px;
    padding: 10px;
    background-color: rgb(255, 255, 255);
    box-shadow: 0px 0px 3px 1px rgba(189, 189, 189, 0.336);
    padding-bottom: 20px;
}
.popup_title_info{
    text-align: left;
    width: 100%;
    padding-bottom: 10px;
    margin-bottom: 10px;
    margin-top: 0;
    border-bottom: 1px solid #7575758c; 
}
.popup_descripcion_info{
    font-weight: 400;
    text-align: left;
    width: 100%;
}



/*---------------Responsive Dsegign--------------------------*/

@media screen and (max-width: 1366px) {
    .content {
        width: 80%;
    }
}

@media screen and (max-width: 768px) {
    .content {
        width: 100%;
        flex-wrap: wrap;
    }
    .products_list {
        width: 100%;
        grid-template-columns: repeat(2, 1fr);
    }
    .products_list_content {
        width: 100%;   
    }
    .products_filter {
        width: 100%;
    }
    .up-content {
        display: flex;
        flex-wrap: wrap;
    }
    .popup-img-content {
        width: 100%;
        margin-right: 20px;
    }
    .primary-img {
        margin-left: 20px;
    }
    .primary-information {
        width: 100%;
    }
    .popup-content {
        width: 100%;
        height: 100vh;
        border-radius: 0px;
        padding: 10px;
        padding-top: 20px;
    }
}